# Uses of Enum
org.eclipse.microprofile.fault.tolerance.tck.metrics.common.FallbackMetricBean.Action

Packages that use FallbackMetricBean.Action
Package
Description
org.eclipse.microprofile.fault.tolerance.tck.metrics.common

## Uses of FallbackMetricBean.Action in org.eclipse.microprofile.fault.tolerance.tck.metrics.common

Methods in org.eclipse.microprofile.fault.tolerance.tck.metrics.common that return FallbackMetricBean.Action
Modifier and Type
Method
Description
`FallbackMetricBean.Action`
FallbackMetricBean.`getFallbackAction()`
Get whether the fallback method and handler should pass or throw an exception
`static FallbackMetricBean.Action`
FallbackMetricBean.Action.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FallbackMetricBean.Action[]`
FallbackMetricBean.Action.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.fault.tolerance.tck.metrics.common with parameters of type FallbackMetricBean.Action
Modifier and Type
Method
Description
`void`
FallbackMetricBean.`doFallback(FallbackMetricBean.Action action)`
`void`
FallbackMetricBean.`doWork(FallbackMetricBean.Action action)`
`Void`
FallbackMetricBean.`doWorkWithHandler(FallbackMetricBean.Action action)`
`void`
FallbackMetricBean.`setFallbackAction(FallbackMetricBean.Action action)`
Set whether the fallback method and handler should pass or throw an exception